package com.mysql.jdbc.test;

import java.sql.*;
import java.util.Properties;
import org.junit.*;

public class SqlTest {

	private static final String elementString = "<Person ID=\"1\"><PersonType>M</PersonType><FirstName>Test</FirstName><LastName>Testovych</LastName></Person>";

	private Connection conn;
	@Before
	public void preparedb() throws Exception {
		Driver drv = new com.mysql.jdbc.Driver();
		Properties info = new Properties();
		info.setProperty("user", "hibernateormtest");
		info.setProperty("password", "hibernateormtest");
		conn = drv.connect("jdbc:mysql://localhost/hibernate_orm_test", info);
	}

	@Test
	public void runtest() throws Exception {
		PreparedStatement pst = conn.prepareStatement("SELECT ExtractValue(?, ?) as val1");
		SQLXML xml = conn.createSQLXML();
		xml.setString(elementString);
		pst.setSQLXML(1, xml);
		pst.setString(2, "/Person/LastName");
		pst.execute();
		ResultSet rs = pst.getResultSet();
		rs.next();
		String value = rs.getString(1);
		Assert.assertEquals("Testovych", value);
	}

	@After
	public void teardown() throws Exception {
		conn.close();
	}
}
